!===========================================================
!
! File: schInfSq.f90, module schV
!
! One has to set:
!  1. V(x), the potential     
!  2. The boundary conditions for psi,psip at x=xmin and x=xmax
!
!===========================================================
module          schV
 use, intrinsic        :: iso_fortran_env
 implicit none
 integer , parameter   :: dp = real64
! ----------------------------------------------------------
 private
 public                :: V,boundary
! ----------------------------------------------------------
contains
! ----------------------------------------------------------
!===========================================================
!----- potential:
 function       V(x)
  real(dp) ::   V
  real(dp) ::   x
  V        =  0.0_dp
 end function   V
!===========================================================
!----- boundary conditions:
 subroutine     boundary(xmin,xmax,psixmin,psipxmin,psixmax,psipxmax)
  real(dp) ::            xmin,xmax,psixmin,psipxmin,psixmax,psipxmax
!----- for infinite square well we set psi=0 at boundary and psip=+/-1
  psixmin  =  0.0_dp
  psipxmin =  1.0_dp
  psixmax  =  0.0_dp
  psipxmax = -1.0_dp
!----- Initial values at xmin and xmax
 end subroutine boundary

end module      schV
!  ---------------------------------------------------------------------
!  Copyright by Konstantinos N. Anagnostopoulos (2004-2021)
!  Physics Dept., National Technical University,
!  konstant@mail.ntua.gr, www.physics.ntua.gr/~konstant
!  
!  This program is free software: you can redistribute it and/or modify
!  it under the terms of the GNU General Public License as published by
!  the Free Software Foundation, version 3 of the License.
!  
!  This program is distributed in the hope that it will be useful, but
!  WITHOUT ANY WARRANTY; without even the implied warranty of
!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
!  General Public License for more details.
!  
!  You should have received a copy of the GNU General Public Liense along
!  with this program.  If not, see <http://www.gnu.org/licenses/>.
!  -----------------------------------------------------------------------
